Alloy.Globals.navigation = $;

var onChange;
var expanded = false;


function more_click() {
	
	switch(expanded) {
		case false:
			openNav();
			break;
		case true:
			closeNav({animated: true});
			break;
	}
	
};

function openNav() {
	
	var animation = Titanium.UI.createAnimation();
	animation.top = 483;
	animation.duration = 150;
	animation.setCurve(Ti.UI.ANIMATION_CURVE_EASE_IN_OUT);
	
	var fade_out = Titanium.UI.createAnimation();
	fade_out.opacity = 0;
	fade_out.duration = 75; 
	
	fade_out.addEventListener('complete', function() {
		$.more_label.text = 'Less';
		
		var fade_in = Titanium.UI.createAnimation();
		fade_in.opacity = 1;
		fade_in.duration = 75;
		
		$.more_label.animate(fade_in);
		
	});
	
	var rotate = Titanium.UI.create2DMatrix();
	rotate = rotate.rotate(180);

	$.nav.animate(animation);
	$.more_icon.animate({transform: rotate, duration: 150});
	$.more_label.animate(fade_out);
	
	expanded = true;	
	
};

function closeNav(e) {
	
	if(e.animated) {
		var animation = Titanium.UI.createAnimation();
		animation.top = 692;
		animation.duration = 150;
		animation.setCurve(Ti.UI.ANIMATION_CURVE_EASE_IN_OUT);
	
		var fade_out = Titanium.UI.createAnimation();
		fade_out.opacity = 0;
		fade_out.duration = 150; 
		
		fade_out.addEventListener('complete', function() {
			$.more_label.text = 'More';
			
			var fade_in = Titanium.UI.createAnimation();
			fade_in.opacity = 1;
			fade_in.duration = 75;
			
			$.more_label.animate(fade_in);
			
		});
	
		var rotate = Titanium.UI.create2DMatrix();
		rotate = rotate.rotate(-360);
	
		$.nav.animate(animation);
		$.more_icon.animate({transform: rotate, duration: 150});
		$.more_label.animate(fade_out);
	
	} else {
		
		var rotate = Titanium.UI.create2DMatrix();
		rotate = rotate.rotate(-360);
		$.more_icon.animate({transform: rotate, duration: 0});

		$.more_label.text = 'More';
		$.nav.setTop(692)
		
	}

	expanded = false;	
	
};




function change_tab(e) {

	closeNav({animated: false});

	if(onChange) {
		onChange(e);
	}
	
};



exports.setOnChange = function(callback) {
	onChange = callback;
};

exports.defaultTab = $.tab1;

exports.selectTab = function(tabName) {
	switch(tabName) {
		case 'Recipes':
			$.tab1.select();
			break;
		case 'Builds':
			$.tab2.select();
			break;
		case 'Training': 
			$.tab3.select();
			break;
		case 'Notifications':
			$.tab4.select();
			break;
		case 'Inventory':
			$.tab5.select();
			break;
		case 'Prep Lists':
			$.tab6.select();
			break;
		case 'Line Checks':
			$.tab7.select();
			break;
		case 'Check Lists':
			$.tab8.select();
			break;
		case 'Support':
			$.tab9.select();
			break;
		case 'Settings':
			$.tab10.select();
			break;
	}
};

var expanded = false;

$.tab1.setOnClick(change_tab);
$.tab2.setOnClick(change_tab);
$.tab3.setOnClick(change_tab);
$.tab4.setOnClick(change_tab);
$.tab5.setOnClick(change_tab);
$.tab6.setOnClick(change_tab);
$.tab7.setOnClick(change_tab);
$.tab8.setOnClick(change_tab);
$.tab9.setOnClick(change_tab);
$.tab10.setOnClick(change_tab);
