var args = arguments[0] || {};
var on = false;

$.index.left = args.left;
$.index.width = args.width;
$.icon.image = args.icon;
$.label.text = args.label;

if(args.on) {
	on = args.on;
}

exports.setOnClick = function(callback) {
	$.index.addEventListener('click', function(e) {
		callback($);
	});
};

exports.toggle = function() {
	if(on) {
		$.icon.image = $.icon.image.replace('_on', '_off');
		on = false;
	} else {
		$.icon.image = $.icon.image.replace('_off', '_on');
		on = true;
	}
};

exports.getText = function() {
	return $.label.text;
}

exports.select = function() {
	$.index.fireEvent('click');
}

